/******* Forms - Inputs ********/

form {

    input {
        background-color: transparent !important;
        border-left: none !important;
        border-top: none !important;
        border-right: none !important;
        box-shadow: none !important;
    }

    input[type=text] {
        color: $aluminum;
        font-size: rem-calc(24);
        margin-top: rem-calc(5);
        margin-bottom: rem-calc(20);
        padding-left: 0 !important;
    }

    input[type=text]:focus {
        color: $black !important; 
    }

    label {
        font-size: rem-calc(16);
    }
}


.formlistitem {
    min-height: rem-calc(56);
    A {
        P {
            color:$brand-pink-color;
        }
        .value {
            color:$brand-black-color;
        }
    }
    A:hover {
        P {
            color:$brand-blue-color;
        }
    }
}

.blue {
    label {
        color: $brand-blue-color;
    }
}

.pink {
    label {
        color: $brand-pink-color;
    }
}


// .inputpassword {
//     transition:none !important;   
// }

// .inputgroup {
//     position: relative;
//     margin-bottom: rem-calc(16);
//     margin-top: rem-calc(16);
    
//     INPUT {
//         font-size:rem-calc(18);
//         padding:rem-calc(10) rem-calc(10) rem-calc(10) rem-calc(5);
//         padding-left:0 !important;
//         display:block;
//         width:100%;
//         border-bottom:1px solid $brand-pink-color;   
//     }
//     // INPUT:focus {
//     //     outline:none;   
//     // }
    
//     LABEL {
//         // color:$brand-pink-color; 
//         font-size:rem-calc(16);
//         font-weight:normal;
//         position:absolute;
//         pointer-events:none;
//         left:0px;
//         top:rem-calc(8);
//         // transition:0.2s ease all; 
//         // -moz-transition:0.2s ease all; 
//         // -webkit-transition:0.2s ease all;   
//     }
//     // INPUT:focus ~ LABEL, INPUT:valid ~ LABEL {
//     //     top: rem-calc(-24);
//     //     font-size: rem-calc(16);
//     //     // color:$brand-blue-color;
//     // }
    
//     .bar {
//         position:relative;
//         display:block;
//         width:100%; 
//     }
//     .bar:before, .bar:after   {
//         content:'';
//         height:2px; 
//         width:0;
//         bottom:1px; 
//         position:absolute;
//         background:$brand-blue-color; 
//         // transition:0.2s ease all; 
//         // -moz-transition:0.2s ease all; 
//         // -webkit-transition:0.2s ease all;
//     }
//     .bar:before {
//         left:50%;
//     }
//     .bar:after {
//         right:50%; 
//     }
//     /* active state */
//     // INPUT:focus ~ .bar:before, INPUT:focus ~ .bar:after {
//     //     width:50%;
//     // }
    
//     .highlight {
//         position:absolute;
//         height:60%; 
//         width:rem-calc(100); 
//         top:25%; 
//         left:0;
//         pointer-events:none;
//         opacity:0.5;
//     }
    
//     /* active state */
//     // input:focus ~ .highlight {
//     //     // -webkit-animation:inputHighlighter 0.3s ease;
//     //     // -moz-animation:inputHighlighter 0.3s ease;
//     //     // animation:inputHighlighter 0.3s ease;
//     // }

//     /* ANIMATIONS ================ */
//     // @-webkit-keyframes inputHighlighter {
//     //     from { background:$brand-blue-color; }
//     //     to   { width:0; background:transparent; }
//     // }
//     // @-moz-keyframes inputHighlighter {
//     //     from { background:$brand-blue-color; }
//     //     to   { width:0; background:transparent; }
//     // }
//     // @keyframes inputHighlighter {
//     //     from { background:$brand-blue-color; }
//     //     to   { width:0; background:transparent; }
//     // }
// }

// .inputgroup-large {
//     margin-bottom: rem-calc(16);
//     margin-top: rem-calc(32);
    
//     INPUT {
//         font-size:rem-calc(24) !important;
//         color: $aluminum !important;
//         border-bottom:2px solid $brand-pink-color; 
//         height:rem-calc(56) !important;
//     }
//     // INPUT:focus {
//     //     ouline:none; 
//     //     color: $black !important; 
//     // }
    
//     LABEL {
//         font-size:rem-calc(24);
//     }
//     // INPUT:focus ~ LABEL, INPUT:valid ~ LABEL {
//     //     top: rem-calc(-16);
//     //     font-size: rem-calc(16);
//     // }
    
//     .bar {
//         position:relative;
//         display:block;
//         width:100%; 
//     }
//     .bar:before, .bar:after   {
//         content:'';
//         height:2px; 
//         width:0;
//         bottom:1px; 
//         position:absolute;
//         background:$brand-blue-color; 
//         // transition:0.2s ease all; 
//         // -moz-transition:0.2s ease all; 
//         // -webkit-transition:0.2s ease all;
//     }
//     .bar:before {
//         left:50%;
//     }
//     .bar:after {
//         right:50%; 
//     }
//     /* active state */
//     // INPUT:focus ~ .bar:before, INPUT:focus ~ .bar:after {
//     //     width:50%;
//     // }
    
//     .highlight {
//         position:absolute;
//         height:60%; 
//         width:rem-calc(100); 
//         top:25%; 
//         left:0;
//         pointer-events:none;
//         opacity:0.5;
//     }
    
//     /* active state */
//     // input:focus ~ .highlight {
//     //     // -webkit-animation:inputHighlighter 0.3s ease;
//     //     // -moz-animation:inputHighlighter 0.3s ease;
//     //     // animation:inputHighlighter 0.3s ease;
//     // }

//     /* ANIMATIONS ================ */
//     // @-webkit-keyframes inputHighlighter {
//     //     from { background:$brand-blue-color; }
//     //     to   { width:0; background:transparent; }
//     // }
//     // @-moz-keyframes inputHighlighter {
//     //     from { background:$brand-blue-color; }
//     //     to   { width:0; background:transparent; }
//     // }
//     // @keyframes inputHighlighter {
//     //     from { background:$brand-blue-color; }
//     //     to   { width:0; background:transparent; }
//     // }
// }


